///////////////////////////////////////////////////
//
//         Luxand FaceSDK Library
//
//
//  Copyright(c) 2005-2019 Luxand, Inc.
//         https://www.luxand.com
//
///////////////////////////////////////////////////

#ifndef _LUXAND_FACESDK_RTSP__
#define _LUXAND_FACESDK_RTSP__

#define _FSDKRTSPIMPORT_ __declspec(dllimport) __cdecl

int _FSDKRTSPIMPORT_ FSDK_RTSP_Init();
int _FSDKRTSPIMPORT_ FSDK_RTSP_GrabFrame(int CameraHandle, unsigned char ** data, int * width, int * height, int * scanline);
int _FSDKRTSPIMPORT_ FSDK_RTSP_CloseCamera(int CameraHandle, int timeout_seconds);
int _FSDKRTSPIMPORT_ FSDK_RTSP_OpenCamera(const char * url, int timeout_seconds, int * CameraHandle);

#endif
